This endpoint is deprecated. Use the V4 Get card transaction endpoint instead.
Retrieve a card transaction by its ID.
Use in conjunction with the V2.0.0 card transaction state change webhook.
When a refund happens, a separate transaction will be added with a REFUND transaction type.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
- Production Environmenthttps://api.wise.com/v3/spend/profiles/{profileId}/cards/transactions/{transactionId}
- Sandbox Environmenthttps://api.wise-sandbox.com/v3/spend/profiles/{profileId}/cards/transactions/{transactionId}
curl -i -X GET \
https://api.wise.com/v3/spend/profiles/123456/cards/transactions/342671 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'Card transaction retrieved successfully.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Type of the transaction. One of:
ACCOUNT_CREDITACCOUNT_FUNDINGCASH_ADVANCECASH_WITHDRAWALCHARGEBACKCREDIT_TRANSACTIONECOM_PURCHASEPOS_PURCHASEREFUND
The current state of the transaction. One of:
IN_PROGRESSCOMPLETEDDECLINEDCANCELLEDUNKNOWN
Transaction amount, excluding all embedded fees such as ATM fees that are not applied by Wise
Associated balance transaction ID if applicable
{ "id": "342671", "cardToken": "59123122-223d-45f9-b840-0ad4a4f80937", "type": "ECOM_PURCHASE", "declineReason": null, "detailedDeclineReason": null, "createdDate": "2022-11-28T08:17:54.241236Z", "state": "IN_PROGRESS", "cardLastDigits": "3086", "transactionAmount": { "amount": 1.5, "currency": "SGD" }, "fees": [ { "amount": 0.1, "currency": "SGD", "fee_type": "ATM_ACQUIRER" } ], "transactionAmountWithFees": { "value": 1.5, "currency": "SGD" }, "merchant": { "name": "Test Payment", "location": { "country": "France", "city": "Rouen", "zipCode": "00000", "region": null, "state": null }, "category": { "name": "RMiscellaneousAndSpecial", "code": "5999", "description": "5999 R Miscellaneous and Special" } }, "authorisationMethod": "MANUAL_ENTRY", "balanceTransactionId": 2598366, "debits": [ { "balanceId": 52832, "debitedAmount": { … }, "forAmount": { … }, "rate": 1.43073, "fee": { … } } ], "credit": { "balanceId": 52832, "creditedAmount": { "amount": 1.5, "currency": "SGD" } }, "relayAuthorisationData": { "responseCode": "APPROVED", "fallback": true } }